%global	svnrev	4326
%global	svndate	20100612
Name:		jabbim
Version:	0.5.1
Release:	2.svn%{svndate}%{?dist}
Summary:	Jabber client for mere mortals

Group:		Applications/Internet
License:	GPLv2+
URL:		http://dev.jabbim.cz/jabbim
# The source was obtained from upstream SVN repository:
# svn export -r %{svnrev} svn://dev.jabbim.cz/jabbim/branch/0.5.x jabbim-0.5.x-svn%{svndate}
# tar -cJf jabbim-0.5.x-svn%{svndate}.tar.xz jabbim-0.5.x-svn%{svndate}/
Source0:	jabbim-0.5.x-svn%{svndate}.tar.xz
Patch0:		jabbim-0.4-autoupdate-disable-notification.diff
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python >= 2.5
BuildRequires:	desktop-file-utils
BuildRequires:	qt4-devel

Requires:	python >= 2.5
Requires:	PyQt4
Requires:	python-twisted-names
Requires:	python-twisted-web
Requires:	python-twisted-web2
Requires:	python-twisted-words
Requires:	python-configobj
Requires:	pyOpenSSL

%global jabbimdata %{_datadir}/jabbim

%description
Jabbim is a user-friendly Jabber (XMPP) client. Its goal is to make the modern
and useful Jabber services approachable to common users. It integrates well
with the advanced functionality provided by the Jabber server of the same name
(see http://www.jabbim.com). Jabbim is written in Python and Qt4.


%prep
%setup -q -n jabbim-0.5.x-svn%{svndate}
%patch0 -p1
# replace runtime detection of the SVN revision with hardcoded info
sed -i -e "s#\\(self.version = '0.5.1'\\)#\\1 + ' - rev. %{svnrev}%{?dist}'#" jabbim.py

%build
# Upstream likes to provide generated *.qm files in the tarballs.
# Make sure they are recreated from the *.ts files:
make clean

# The current manpage is not useful.
rm -r doc/
# Remove addons which are unlikely to be included in 0.5 final.
rm -r plugins/{dcoper,festival,gpg,ibuddy,network-manager,styler}
rm -r sounds/{future,xylo}
rm -r themes/{Grain,TmavoZeleny,rose}
rm -r chatskins/grom_elegant_2

make PREFIX=%{_prefix}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install --vendor fedora \
	--dir %{buildroot}%{_datadir}/applications \
	--delete-original \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/jabbim
%{_datadir}/applications/fedora-jabbim.desktop
%{_datadir}/icons/hicolor/*/apps/jabbim.png
%{_datadir}/icons/hicolor/scalable/apps/jabbim.svg
%{_datadir}/pixmaps/jabbim.png
%{_datadir}/pixmaps/jabbim.svg
%{jabbimdata}/


%changelog
* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0.5.1-2.svn20100612
- recompiling .py files against Python 2.7 (rhbz#623323)

* Sat Jun 12 2010 Michal Schmidt <mschmidt@redhat.com> 0.5.1-1.svn20100612
- Upstream release 0.5.1 + fixes from 0.5.x stable branch.

* Mon Feb 01 2010 Michal Schmidt <mschmidt@redhat.com> 0.5-0.13.svn20100201
- Update to svn rev. 4243.
- Fixes a few bugs reported by abrt and some more.

* Fri Oct 30 2009 Michal Schmidt <mschmidt@redhat.com> 0.5-0.12.svn20091030
- Update to svn rev. 4233 (bugfixes and German translation update)
- Drop 3 upstreamed patches.

* Mon Sep 21 2009 Michal Schmidt <mschmidt@redhat.com> 0.5-0.11.svn20090907
- Enable devconsole plugin, it's useful for debugging.

* Thu Sep 17 2009 Michal Schmidt <mschmidt@redhat.com> 0.5-0.10.svn20090907
- Fix a harmless traceback which abrt points out all the time.
  (jabbim-0.5-avoid-traceback-when-closing-multiple-tabs.diff, upstream)

* Thu Sep 10 2009 Michal Schmidt <mschmidt@redhat.com> 0.5-0.9.svn20090907
- Fix message loss because of a change in PyQt4 4.5.x.
  (jabbim-0.5-fix-message-loss.diff, committed upstream)

* Tue Sep 08 2009 Michal Schmidt <mschmidt@redhat.com> 0.5-0.8.svn20090907
- Fix compact-style roster drawing bug.
  (jabbim-0.5-fix-compact-roster-drawing.diff, committed upstream)

* Mon Sep 07 2009 Michal Schmidt <mschmidt@redhat.com> 0.5-0.7.svn20090907
- Update to SVN rev. 4223:
  - fixes chat with contacts who have non-ASCII User Mood string
  - various other bugfixes
  - new Jabber Disk Manager - supports directories
- Dropped jabbim-0.4-fix-rosterStyle-preferences.diff.
- Compress tarball with xz.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-0.6.svn20090408
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 13 2009 Michal Schmidt <mschmidt@redhat.com> - 0.5-0.5.svn20090408
- Update to SVN rev. 4103:
  - bugfixes for filetransfer, uniemoticons, logging
  - faster loading of avatars after login
- Install only the addons likely to be included in 0.5 final release.
- Hardcode the SVN revision into self.version.
- Prefer %%global over %%define.

* Sat Mar 14 2009 Michal Schmidt <mschmidt@redhat.com> - 0.5-0.4.svn20090314
- Update to current SVN snapshot.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-0.3.svn20090119
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 19 2009 Michal Schmidt <mschmidt@redhat.com> - 0.5-0.2.svn20090119
- Removed our jabbim.in, already upstream.

* Sat Jan 17 2009 Michal Schmidt <mschmidt@redhat.com> - 0.5-0.1.svn20090117
- Rebase to upstream 0.5 SVN snapshot.
- Upstream now supports 'make install', which simplifies the spec file.

* Sat Jan 17 2009 Michal Schmidt <mschmidt@redhat.com> - 0.4.3-5
- Don't require python-sqlite2. Python >= 2.5 has sqlite support already.

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4.3-4
- Rebuild for Python 2.6

* Mon Sep 15 2008 Michal Schmidt <mschmidt@redhat.com> - 0.4.3-3
- Fix mistaken parentheses in the previous patch.

* Mon Sep 15 2008 Michal Schmidt <mschmidt@redhat.com> - 0.4.3-2
- Doubleclicking on bookmarks did not open the chat window.
  Caused by a change in PyQt in constructing QVariants from lists of strings.

* Thu Jul 03 2008 Michal Schmidt <mschmidt@redhat.com> - 0.4.3-1
- Upstream release 0.4.3.
- Dropped the tune plugin patch, now merged.
- Simplified the autoupdate plugin patch. Thanks to upstream changes, it's now
  sufficient to only changes default config values.

* Wed Jun 25 2008 Michal Schmidt <mschmidt@redhat.com> - 0.4.2-1
- Upstream release 0.4.2.
- dropped jabbim-0.4-lost-initial-message-if-empty-sender-mood.diff,
  now upstream

* Tue Jun 24 2008 Michal Schmidt <mschmidt@redhat.com> - 0.4.1-3
- Add upstream patch to prevent initial message loss if sender's mood is empty.

* Mon Jun 23 2008 Michal Schmidt <mschmidt@redhat.com> - 0.4.1-1
- Upstream bugfix release 0.4.1. Fixes:
  - archive now actually displays messages
  - search dialog and privacy editor can be closed
- Added scalable icon.

* Fri Jun 13 2008 Michal Schmidt <mschmidt@redhat.com> - 0.4-1
- Upstream release 0.4 "VELES".

* Mon Apr  7 2008 Michal Schmidt <mschmidt@redhat.com> - 0.4-0.4.20080407svn
- Patch to upstream SVN revision 2584.
- Fixes opening of new tabs for private messages in MUC and received messages.

* Fri Apr  4 2008 Michal Schmidt <mschmidt@redhat.com> - 0.4-0.3.20080404svn
- Upstream SVN revision 2563.
- Fixes leaking fds causing AVC denials (bz440592).

* Thu Apr  3 2008 Michal Schmidt <mschmidt@redhat.com> - 0.4-0.2.20080403svn
- Upstream SVN revision 2557.
- Fixes segfaults with the autoaway plugin on x86_64.

* Mon Mar  3 2008 Michal Schmidt <mschmidt@redhat.com> - 0.4-0.1.20080303svn
- Upstream SVN revision 2369.
- Upgrading from 0.3 should be without problems (old copies of plugins
  in ~/.jabbim/plugins are harmless, config settings are preserved,
  archive is converted).

* Thu Jan 17 2008 Michal Schmidt <mschmidt@redhat.com> - 0.3-1
- Upstream release 0.3 "PERUN".

* Thu Jan 10 2008 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.63.20080110svn
- Upstream SVN revision 1817.
- Important fix: remote crash using ad-hoc commands.
- Beginning of French translation.
- XML-RPC plugin.
- Packaging: Put the compressed diff since the the last full version into the
  lookaside cache.

* Tue Jan  8 2008 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.62.20080108svn
- Upstream SVN revision 1788.
- changes: priority setting, "gone" chatstate, changing nick in MUC.
- Compress upstream tarball with bz2.

* Sun Jan  6 2008 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.61.20080106svn
- Upstream SVN revision 1766.
- changes: self-contact menu, file transfer in MUC, translations.
- Change in packaging - Don't upload every new upstream SVN snapshot to the
  lookaside cache. That seems too wasteful. Have a patch in CVS instead.

* Sun Jan  6 2008 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.60.20080106svn
- Upstream SVN revision 1721.
- translation fixes, /join command in MUC, automatic download fix.

* Sat Jan  5 2008 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.59.20080105svn
- Upstream SVN revision 1695.
- fixes for profiles, reconnects, logging.

* Thu Jan 03 2008 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.58.20080103svn
- Upstream SVN revision 1684.
- notable fixes: chat focus stealing, blank XHTML messages from Pidgin.

* Sun Dec 30 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.57.20071230svn
- Upstream SVN revision 1651.
- more fixes in status messages, groupchat invitations, DNS resolving.

* Sat Dec 29 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.56.20071229svn
- Upstream SVN revision 1637.
- fixes setting of status.

* Fri Dec 28 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.55.20071228svn
- Upstream SVN revision 1635.

* Fri Dec 28 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.54.20071228svn
- Upstream SVN revision 1633.

* Sun Dec 23 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.53.20071221svn
- hardlink is not needed.
- Update gtk icon cache after icon (un-)installation.

* Sat Dec 22 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.52.20071221svn
- The package must own the directory it creates.

* Fri Dec 21 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.51.20071221svn
- List installed files and subdirs explicitly.

* Fri Dec 21 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.50.20071221svn
- Upstream added AUTHORS and COPYING files. Install them to documentation.
 
* Fri Dec 21 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.49.20071221svn
- Upstream SVN revision 1562.

* Fri Dec 21 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.48.20071221svn
- Upstream SVN revision 1561.

* Thu Dec 20 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.47.20071220svn
- Explicitly require pyOpenSSL.
- Don't ship files not useful for end-users.

* Thu Dec 20 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.46.20071220svn
- Upstream SVN revision 1556.

* Thu Dec 20 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.45.20071220svn
- Upstream started providing a .desktop file. Use it.
 
* Thu Dec 20 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.44.20071220svn
- Upstream SVN revision 1551.

* Thu Dec 20 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.43.20071219svn
- Require specific twisted modules, not all of it.
 
* Thu Dec 20 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.42.20071219svn
- Require PyQt4, not PyQt.
- Don't BuildRequire python-twisted.
 
* Wed Dec 19 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.41.20071219svn
- Upstream SVN revision 1550.

* Wed Dec 19 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.40.20071219svn
- Upstream SVN revision 1548.

* Wed Dec 19 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.39.20071219svn
- Upstream SVN revision 1547.

* Tue Dec 18 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.38.20071218svn
- Upstream SVN revision 1546.

* Tue Dec 18 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.37.20071218svn
- Upstream SVN revision 1545.

* Tue Dec 18 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.36.20071218svn
- Upstream SVN revision 1544.

* Tue Dec 18 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.35.20071218svn
- Upstream SVN revision 1542.

* Mon Dec 17 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.34.20071217svn
- Upstream SVN revision 1541.

* Sun Dec 16 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.33.20071216svn
- Upstream SVN revision 1539.

* Sun Dec 16 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.32.20071216svn
- Upstream SVN revision 1537.

* Sat Dec 15 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.31.20071215svn
- Upstream SVN revision 1536.

* Sat Dec 15 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.30.20071215svn
- Upstream SVN revision 1535.

* Sat Dec 15 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.29.20071215svn
- Upstream SVN revision 1528.

* Fri Dec 14 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.28.20071214svn
- Upstream SVN revision 1526.

* Thu Dec 13 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.27.20071213svn
- Upstream SVN revision 1524.

* Wed Dec 12 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.26.20071212svn
- Upstream SVN revision 1521.

* Wed Dec 12 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.25.20071212svn
- Upstream SVN revision 1520.

* Wed Dec 12 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.24.20071212svn
- Upstream SVN revision 1519.

* Tue Dec 11 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.23.20071211svn
- Upstream SVN revision 1516.

* Tue Dec 11 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.22.20071211svn
- Upstream SVN revision 1515.

* Tue Dec 11 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.21.20071211svn
- Upstream SVN revision 1514.

* Tue Dec 11 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.20.20071211svn
- Upstream SVN revision 1509.

* Tue Dec 11 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.19.20071211svn
- Upstream SVN revision 1508.

* Tue Dec 11 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.18.20071211svn
- Upstream SVN revision 1507.

* Mon Dec 10 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.17.20071210svn
- Upstream SVN revision 1503.

* Mon Dec 10 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.16.20071210svn
- Upstream SVN revision 1502.

* Mon Dec 10 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.15.20071210svn
- Upstream SVN revision 1497.

* Sun Dec  9 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.14.20071209svn
- Upstream SVN revision 1493.

* Fri Dec  7 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.13.20071207svn
- Upstream SVN revision 1477.

* Thu Dec  6 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.12.20071206svn
- Don't use the deprecated "Encoding" in .desktop file. UTF-8 is mandatory.

* Thu Dec  6 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.11.20071206svn
- Upstream SVN revision 1476.

* Thu Dec  6 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.10.20071206svn
- Upstream SVN revision 1475.

* Wed Dec  5 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.9.20071205svn
- Upstream SVN revision 1473.

* Wed Dec  5 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.8.20071205svn
- Upstream SVN revision 1471.

* Wed Dec  5 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.7.20071205svn
- Upstream SVN revision 1470.

* Tue Dec  4 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.6.20071204svn
- Upstream SVN revision 1467.

* Tue Dec  4 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.5.20071204svn
- Upstream SVN revision 1466.

* Tue Dec  4 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.4.20071204svn
- Upstream SVN revision 1458.

* Mon Dec  3 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.3.20071203svn
- Don't Require desktop-file-utils. BuildRequire is enough.
- Remove the shell scripts from /usr/share/jabbim.
- cs, da translations in jabbim.desktop file

* Mon Dec  3 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.2.20071203svn
- Upstream SVN revision 1457.

* Sun Dec  2 2007 Michal Schmidt <mschmidt@redhat.com> - 0.3-0.1.20071202svn
- Initial package.
